Page MenuHomeFreeBSD

Fix Shebangs
ClosedPublic

Authored by tcberner on Apr 27 2017, 7:08 PM.

Details

Summary
  • comms/gnuradio
  • graphics/hugin
  • math/asymptote - also modify patch-Makefile.in and post-patch, as one of the files is generated on the fly.
  • science/afni

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tcberner created this revision.Apr 27 2017, 7:08 PM
tcberner updated this revision to Diff 27806.Apr 28 2017, 6:02 AM
  • devel/libdbusmenu
tcberner updated this revision to Diff 27807.Apr 28 2017, 6:06 AM
  • net-im/telepathy-gabble
tcberner updated this revision to Diff 27808.Apr 28 2017, 6:27 AM
  • www/uzbl
tcberner updated this revision to Diff 27809.Apr 28 2017, 6:44 AM
  • x11-wm/fvwm2 - add PYTHON=${PYTHON_CMD} to the configure environment to fix shebangs
  • x11-wm/fvwm-crystal
mat added inline comments.Apr 28 2017, 6:46 AM
devel/libdbusmenu/Makefile
25–32 ↗(On Diff #27808)

So you are adding python as a dependency so that a tool that nobody will ever use gets the right shebang ? It is ludicrous, please don't.

math/asymptote/files/patch-Makefile.in
16–17 ↗(On Diff #27808)

There is no real need for the patch, you could simply use /usr/bin/env python in the sed line in the Makefile.

mat added inline comments.Apr 28 2017, 6:47 AM
x11-wm/fvwm2/Makefile
26–27 ↗(On Diff #27809)

Same here, it never needed python before, now it requires it to run ?

tcberner added inline comments.Apr 28 2017, 6:57 AM
devel/libdbusmenu/Makefile
25–32 ↗(On Diff #27808)

according to INDEX it depends on python anyways, no?

So should this shebang error just be ignored?

mat added inline comments.Apr 28 2017, 7:04 AM
devel/libdbusmenu/Makefile
25–32 ↗(On Diff #27808)

There are talks about reducing the pain for the python interpreter shebang thing, only if the port depends on python.

Now, if this already has python as a run dependencies through some dependency, it may be ok. Be sure to say so when you commit it.

tcberner updated this revision to Diff 27810.Apr 28 2017, 7:04 AM
  • Get rid of patch in math/asymptote
  • x11/mate-applets
tcberner updated this revision to Diff 27811.Apr 28 2017, 7:08 AM

bump revisions

tcberner updated this revision to Diff 27850.Apr 29 2017, 3:42 PM
  • math/kig - python is already an implicit run time dependency anyways.
tcberner updated this revision to Diff 27940.May 2 2017, 7:15 PM

Regenerate against current tree.

mat accepted this revision.May 3 2017, 10:15 AM

Looks ok, you might want to investigate using SHEBANG_REGEX or SHEBANG_GLOB in some cases.

This revision is now accepted and ready to land.May 3 2017, 10:15 AM
This revision was automatically updated to reflect the committed changes.